ZNC(1)

NAME
znc - An advanced IRC bouncer

SYNOPSIS
znc --help
znc --version
znc --makepass
znc [-n] [-d datadir] [-D] [-f]
znc [-n] [-d datadir] [-D] [-f] --makeconf
znc [-n] [-d datadir] [-D] [-f] --makepem

DESCRIPTION
znc is an IRC proxy. It runs as a daemon and connects to IRC server, then allows you to connect from a workstation and work as the user that is logged in to the IRC server. After you disconnect, it maintains the connection to the server. It acts like any normal IRC server, so you can use any IRC client to connect to it.

OPTIONS

-h, --help
    Output a brief help message.

-v, --version
    Show the full version number.

-n, --no-color
    Don't use any color escape sequences.

-f, --foreground
    Don't fork the ZNC process into the background.

-D, --debug
    Print debug output to the console. Implies --foreground.

-d DATADIR, --datadir=DATADIR
    Specify another datadir. This is where znc saves everything.

-c, --makeconf
    Interactively create a new configuration.

-s, --makepass
    Hash a password for use in znc.conf. znc uses MD5 for hashing and can use salted hashes.

-p, --makepem
    Generate znc.pem. This is the server certificate znc uses. You need this for SSL.

SIGNALS
This section explains how znc reacts to different signals:

SIGINT
    Exit ZNC. This is equivalent to /znc shutdown

SIGHUP
    Reload znc.conf. This is equivalent to /znc rehash

SIGUSR1
    Rewrite znc.conf. This is equivalent to /znc saveconfig

FILES

/usr/local/share/znc/
    Static module data like webadmin skins

/usr/local/lib/znc/
    znc installs its modules to this directory.

/usr/local/include/znc/
    These are the headers needed for compilling own modules.

~/.znc
    This is the default datadir. The following paths assume that you use this. If you change this via --datadir then the following lines are relative to that dir.

~/.znc/znc.pem
    This is the server certificate znc uses for listening on SSL ports. You can generate this via --makepem and you may replace this with your own certificate, if you want to.

~/.znc/modules/
    If you compile your own modules, you can save them here.

~/.znc/configs/znc.conf
    This is the path to znc.conf. Use --makeconf for an easy way to generate it.

~/.znc/configs/znc.conf-backup
    znc may rewrite znc.conf to save your new settings. In case this goes wrong, you still have this backup of znc.conf which is overwritten everytime znc saves its config.

~/.znc/users/USERNAME/
    The data for every user is saved in this dir. USERNAME refers to the user name of that user.

~/.znc/users/USERNAME/moddata/MODULENAME/
    This is where each module can save some stuff. This is mainly used for remembering module settings that are not part of znc.conf.

~/.znc/moddata/MODULENAME/
    This is where global modules may save their settings.